# clear

Delete current default settings, or the cache, data, geography or sessions directories

## Synopsis

gmt clear all | cache | data[=planet|name] | geography[=name] | sessions | settings [ -N ] [ -V[level] ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

The clear command allows users to delete their entire user cache, data, geography, or sessions directories, and in modern mode their defaults settings (i.e., gmt.conf), or all of the above.

## Optional Arguments

all

  Deletes all the items under the control of the individual targets.

cache

  Delete the user’s cache directory and all of its contents.

data[=planet|name]]

  Delete the user’s data download server directory and all of its contents. Alternatively, append =planet for a specific planet and we only delete data for that sub-directory [all planets]. Finally, you could also just specify the name for one of them, which leaves the rest intact.

geography[=name]

  Delete the user’s geography directory. Append either =gshhg or =dcw if you only want to delete the named data set [both].

sessions

  Delete the user’s sessions directory.

settings

  Delete the current default settings file (gmt.conf) used for the current modern session.

## Optional Arguments

-N

  Find all the sub directories that need to be remove, but just print them to stdout, do not delete any files.

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

-^ or just -

  Print a short message about the syntax of the command, then exits (Note: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exits.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exits.

## Examples

To remove the current default settings in a modern mode session, use:

    gmt clear settings

To completely wipe your GMT cache directory, try:

    gmt clear cache

To remove your GMT geography directory with downloaded GSHHG and DCW data, try:

    gmt clear geography

To only wipe your GMT server directory for Earth data, try:

    gmt clear data=earth

To just wipe your the earth_relief data set and leave other data intact, try:

    gmt clear data=earth_relief

To list all data files that would be deleted if -N was not set, try:

    gmt clear data -N

To only wipe your entire GMT server and cache directories, (carefully) try:

    gmt clear all

## Data and Cache Updates

Remote datasets and remote cache files are updated from time to time as it is our aim to provide only the very latest version of the data. This means we (a) do not support multiple versions of a dataset (you must obtain earlier versions of any published data sets elsewhere), (b) as GMT detects a new version on the server it will download it the next time you access the remote data set and it will overwrite any previous version, and (c) any data set or file we deem obsolete will be removed from the server, and hence it will also be removed from your .gmt server and cache folders when the syncing occurs. This is particularly true of the cache files that may come and go. If there are any cache files there that are important to you then we recommend you place a copy of them in another folder. Syncing occurs at most once a day and only when you actively use GMT.

## See Also

begin, docs, end, figure, inset, subplot, gmt